Subject: Re: bug#61847: debug-early-backtrace only works some of the time.

From: Alan Mackenzie <[email-masked]>
Date: Tue, 28 Feb 2023 13:16:42 +0000

Hello, Eli.

On Tue, Feb 28, 2023 at 14:16:40 +0200, Eli Zaretskii wrote:
> > Cc: [email-masked]
> > Date: Tue, 28 Feb 2023 09:12:08 +0000
> > From: Alan Mackenzie <[email-masked]>

> > > How 'bout the patch below instead.
> > > Maybe we should instead try and check whether we're after the bootstrap
> > > (not sure what would be the corresponding test).

> > It might work.  It might work now, and fail in future releases of Emacs
> > should the loading mechanism get changed.  The original code using prin1
> > was rock solid, by design.

> It isn't clear to me why you consider code that uses prin1 to be "rock
> solid by design".  Please elaborate.

I meant that the specific piece of code which was the original code
(which happened to use prin1) was rock solid, not any other use of prin1.

The original code didn't depend on any other lisp being loaded.  Given
how much can go wrong with loading Lisp in the early bootstrap in a
version of Emacs being debugged, and which did go wrong in the bug
scenario, I say we're better off not trying to use cl-prin1 at this
stage.

-- 
Alan Mackenzie (Nuremberg, Germany).